summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorGlenn Morris <rgm@gnu.org>2018-02-02 20:42:08 -0500
committerGlenn Morris <rgm@gnu.org>2018-02-02 20:42:08 -0500
commitc532a8015e932fa4bee1ed68ce01b3c0b802d09c (patch)
tree123b5f753257cd80c7350bc5a7926265f6ca767b /autogen.sh
parent83fc9009c62429501e50d7658e0dc00102aafa74 (diff)
downloademacs-c532a8015e932fa4bee1ed68ce01b3c0b802d09c.tar.gz
Try to work around intermittent autogen failure on hydra.nixos.org
* autogen.sh (check_version): Try to handle odd systems where /bin/sh does not define the "command" builtin.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index acebc2381a3..2e6b62db843 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -82,7 +82,14 @@ check_version ()
printf '%s' "(using $uprog0=$uprog) "
fi
- command -v $uprog > /dev/null || return 1
+ ## /bin/sh should always define the "command" builtin, but for
+ ## some odd reason sometimes it does not on hydra.nixos.org.
+ ## /bin/sh = "BusyBox v1.27.2", "built-in shell (ash)". ?
+ if command -v command > /dev/null; then
+ command -v $uprog > /dev/null || return 1
+ else
+ $uprog --version > /dev/null 2>&1 || return 1
+ fi
have_version=`get_version $uprog` || return 4
have_maj=`major_version $have_version`